Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.mysoleas.com/merchand/billing/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_email": "jsmith@example.com",
"amount": 2,
"currency": "XAF",
"customer_phone_number": "<string>",
"description": "<string>",
"metadata": {},
"idempotency_key": "<string>"
}
'import requests
url = "https://api.mysoleas.com/merchand/billing/subscribe"
payload = {
"customer_email": "jsmith@example.com",
"amount": 2,
"currency": "XAF",
"customer_phone_number": "<string>",
"description": "<string>",
"metadata": {},
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_email: 'jsmith@example.com',
amount: 2,
currency: 'XAF',
customer_phone_number: '<string>',
description: '<string>',
metadata: {},
idempotency_key: '<string>'
})
};
fetch('https://api.mysoleas.com/merchand/billing/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"success": true,
"locale": "fr",
"message": "<string>",
"meta": {},
"data": {
"reference": "<string>",
"customer_email": "<string>",
"amount": 123,
"currency": "<string>",
"next_payment_at": "2023-11-07T05:31:56Z",
"created_at": "<string>"
}
}{
"success": false,
"code": 400,
"message": "empty_data",
"error": {
"details": {}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cle d'idempotence optionnelle fournie par le marchand.
x >= 1"XAF"
DAILY, WEEKLY, MONTHLY, QUARTERLY, YEARLY